scala.tools.nsc.ast

# TreeBrowsers

#### abstract class TreeBrowsers extends AnyRef

Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

Version

  1.0

Linear Supertypes
AnyRef, Any
Known Subclasses
treeBrowsers
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreeBrowsers
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TreeBrowsers()

### Type Members

1. #### class ASTTreeModel extends TreeModel

   Tree model for abstract syntax trees

2. #### class BrowserFrame extends AnyRef

   A window that can host the Tree widget and provide methods for displaying information

3. #### case class ProgramTree (units: List[UnitTree]) extends Global.Tree with Product with Serializable

   Pseudo tree class, so that all JTree nodes are treated uniformly

4. #### class SwingBrowser extends AnyRef

   Java Swing pretty printer for Scala abstract syntax trees.

5. #### class TextInfoPanel extends JTextArea

   Present detailed information about the selected tree node.

6. #### case class UnitTree (unit: Global.CompilationUnit) extends Global.Tree with Product with Serializable

   Pseudo tree class, so that all JTree nodes are treated uniformly

### Abstract Value Members

1. #### abstract val global: Global

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TreeBrowsers to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (TreeBrowsers, B)

   Implicit information
     This member is added by an implicit conversion from TreeBrowsers to ArrowAssoc[TreeBrowsers] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### object TreeInfo

   Computes different information about a tree node.

9. #### object TypePrinter

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### val borderSize: Int

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def create(): SwingBrowser

14. #### def ensuring(cond: (TreeBrowsers) ⇒ Boolean, msg: ⇒ Any): TreeBrowsers

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (TreeBrowsers) ⇒ Boolean): TreeBrowsers

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): TreeBrowsers

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): TreeBrowsers

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (TreeBrowsers, B)

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to ArrowAssoc[TreeBrowsers] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from TreeBrowsers to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (treeBrowsers: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from TreeBrowsers to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (treeBrowsers: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: TreeBrowsers

   Implicit information
     This member is added by an implicit conversion from TreeBrowsers to ArrowAssoc[TreeBrowsers] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (treeBrowsers: ArrowAssoc[TreeBrowsers]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: TreeBrowsers

   Implicit information
     This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (treeBrowsers: Ensuring[TreeBrowsers]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TreeBrowsers to StringAdd

### Inherited by implicit conversion any2stringfmt from TreeBrowsers to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from TreeBrowsers to ArrowAssoc[TreeBrowsers]

### Inherited by implicit conversion any2Ensuring from TreeBrowsers to Ensuring[TreeBrowsers]

### Ungrouped